/*
*/


/*   $Id: ggitext.h,v 1.1 1997/12/10 08:25:15 ha Exp ha $  */
/*   $Log: ggitext.h,v $
 *   Revision 1.1  1997/12/10 08:25:15  ha
 *   Initial revision
 *  */
   

#include <ggi/libggi.h>

int ggiGraphTextCharwidth(char c);
int ggiGraphTextCharheight(char c);
int ggiGraphTextStringwidth(char * c);
int ggiGraphTextStringheight(char * c);

/* int ggiGraphTextFont(vis, char * fontnameorpath, uint size, int flags ); */

/*int ggiGraphTextDirection(vis, int direction);*/
#define GGI_TEXT_DIRECTION_RIGHT 0
#define GGI_TEXT_DIRECTION_UP 90
#define GGI_TEXT_DIRECTION_LEFT 180
#define GGI_TEXT_DIRECTION_DOWN 270


int ggiGraphTextPuts(ggi_visual_t  vis,
		     int x, int y, int width, int height, 
		     int flags,
		     char * text );
int ggiGraphTextLongPuts(ggi_visual_t  vis,
		     int x, int y, int width, int height, 
		     int flags,
		     char * text );
/* breaks text in individual lines (at \n points)*/ 

/* centering flags: */
#define GGI_TEXT_CENTER 0
#define GGI_TEXT_LEFT   1
#define GGI_TEXT_RIGHT  2
#define GGI_TEXT_JUSTIFY 3  /* means right and left, i.e. "Blocksatz" */
/* good luck when implementing */
#define GGI_TEXT_TOP    4
#define GGI_TEXT_BOTTOM 8

/* normal for would be GGI_TEXT_LEFT+GGI_TEXT_BOTTOM, reference point
  is the left end base line */

#define GGI_TEXT_START  16
#define GGI_TEXT_END    32
#define GGI_TEXT_BOTTOMLINE 64
#define GGI_TEXT_TOPLINE  128
/* this means positioning relative to the printed (and rotated) text,
   not to the "bounding box" */

#define GGI_TEXT_FRAME 256 /* paint the box */ 





#if 0
/* small menu system, */


#define MAXENTRIES 10

struct menuentry {
	char * text ;        /* menu text to be printed */
	char * shortcut ;    /* Shortcut key(s) */
	int returncode;
};

struct menu {
  char * title ;
  int lastentry ;                      /* number of last used entry */
  struct menuentry entry[MAXENTRIES] ;
};

int ggiMenu(ggi_visual_t  vis,
	    int x, int y, int width, int height, 
	    int flags,
	    struct menu * m ,
	    int sel);


#endif
